%global momorel 1
%global realname gtk+

Summary: The GIMP ToolKit (GTK+), a library for creating GUIs for X.
Name: gtk2
Version: 2.12.12
Release: %{momorel}m%{?dist}
Group: System Environment/Libraries
License: LGPL
URL: http://www.gtk.org/

Source0: http://ftp.gnome.org/pub/GNOME/sources/%{realname}/2.12/%{realname}-%{version}.tar.bz2
NoSource: 0

# Momonga
Patch0: gtk+-2.8.3-gdk-2.0_pc-pango.patch

# Biarch changes
Patch1: gtk+-2.4.1-lib64.patch
# Fedora patch
Patch2: gtk+-2.11.1-set-invisible-char-to-bullet.patch
Patch3: system-log-crash.patch
Patch4: firefox-print-preview.patch

# fixed in upstream cvs
Patch10: gtk+-2.10.4-im-reset.patch

# fix konqueror lockup issue (import from Ubuntu)
Patch20: 091_workaround_no_gtk_init_incorrect_display.patch

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildPrereq: gtk-doc
BuildPrereq: libjpeg-devel >= 6b
BuildPreReq: libpng-devel >= 1.2.18
BuildPrereq: libtiff-devel >= 3.8.2
BuildPrereq: zlib-devel >= 1.2.3
BuildPrereq: atk-devel >= 1.20.0
BuildPrereq: pango-devel >= 1.18.3
BuildPrereq: cairo-devel >= 1.4.10
BuildPrereq: pkgconfig
BuildPrereq: glib2-devel >= 2.14.2
BuildPrereq: expat-devel >= 2.0.1
BuildPrereq: gamin-devel
BuildPrereq: cups-devel
BuildPrereq: fontconfig-devel
BuildPrereq: libX11-devel
BuildPrereq: libXext-devel
BuildPrereq: libXrender-devel
BuildPrereq: libXinerama-devel
BuildPrereq: libXi-devel
BuildPrereq: libXrandr-devel
BuildPrereq: libXcursor-devel
BuildPrereq: libXfixes-devel
BuildPrereq: libXcomposite-devel
BuildPrereq: libXdamage-devel

PreReq: %{name}-common = %{version}-%{release}
Obsoletes: gtk+2 gtk+2-devel
Obsoletes: gtk+-DirectFB

Obsoletes: %{realname}
Provides: %{realname}

Obsoletes: gtk2-common
Provides: gtk2-common

%description
The gtk+ package contains the GIMP ToolKit (GTK+), a library for creating
graphical user interfaces for the X Window System.  GTK+ was originally
written for the GIMP (GNU Image Manipulation Program) image processing
program, but is now used by several other programs as well.  

If you are planning on using the GIMP or another program that uses GTK+,
you'll need to have the gtk+ package installed.
#'

%package devel
Summary: Development tools for GTK+ (GIMP ToolKit) applications.
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: atk-devel
Requires: pango-devel
Requires: libjpeg-devel
Requires: libpng-devel
Requires: libtiff-devel
Requires: zlib-devel
Requires: libXi-devel
Requires: cairo-devel

# needs gtk+-2.0.pc
Requires: libxcb-devel
Requires: libpthread-stubs
Requires: libXinerama-devel
Requires: libXext-devel
Requires: libXrandr-devel
Requires: libXcursor-devel
Requires: libXfixes-devel
Requires: fontconfig-devel
Requires: libX11-devel
Requires: libXrender-devel
Requires: libXi-devel
Requires: libXcomposite-devel
Requires: libXdamage-devel
Requires: glib2-devel

Obsoletes: %{realname}-devel
Provides: %{realname}-devel

%description devel
The gtk+-devel package contains the static libraries and header files
needed for developing GTK+ (GIMP ToolKit) applications.  The gtk+-devel
package contains glib1 (a collection of routines for simplifying the
development of GTK+ applications), GDK (the General Drawing Kit, which
simplifies the interface for writing GTK+ widgets and using GTK+ widgets
in applications), and GTK+ (the widget set).

Install gtk+-devel if you need to develop GTK+ applications.  You'll also
need to install the gtk+ package.
#'
 
%prep
%setup -q -n %{realname}-%{version}
%patch0 -p1 -b pango
%patch1 -p1 -b .lib64
%patch2 -p1 -b .set-invisible-char-to-bullet
%patch3 -p1 -b .firefox-print-preview
%patch4 -p1 -b .system-log-crash
%patch10 -p1 -b .im-reset
%patch20 -p1 -b .fix_for_flash

%build
%ifarch ppc64
%global optflags %(echo %{optflags} -mminimal-toc)
%endif

libtoolize --force
aclocal-1.7
automake-1.7
autoconf
autoheader

%configure \
    --with-xinput=yes \
    --with-gdktarget=x11 \
    --enable-fbmanager \
    --enable-gtk-doc \
    --enable-man \
    --enable-static \
    --with-x \
    --disable-rebuilds \
    --with-gdktarget=x11 \
    --enable-explicit-deps=yes
%make

%install
rm -rf --preserve-root %{buildroot}
%makeinstall

find %{buildroot} -name "*.la" -delete

# make some directories
mkdir -p %{buildroot}%{_libdir}/gtk-2.0/immodules
mkdir -p %{buildroot}%{_libdir}/gtk-2.0/modules

%clean
rm -rf --preserve-root %{buildroot}

%post
/sbin/ldconfig
%{_bindir}/gtk-query-immodules-2.0 > %{_sysconfdir}/gtk-2.0/gtk.immodules
%{_bindir}/gdk-pixbuf-query-loaders > %{_sysconfdir}/gtk-2.0/gdk-pixbuf.loaders

%postun
/sbin/ldconfig

%files
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog NEWS README
%dir %{_sysconfdir}/gtk-2.0
%config %{_sysconfdir}/gtk-2.0/gdk-pixbuf.loaders
%config %{_sysconfdir}/gtk-2.0/im-multipress.conf
%config(noreplace) %{_sysconfdir}/gtk-2.0/gtk.immodules

%{_bindir}/gdk-pixbuf-query-loaders
%{_bindir}/gtk-update-icon-cache
%{_bindir}/gtk-builder-convert
%{_bindir}/gtk-query-immodules-2.0

%{_libdir}/libgdk_pixbuf-2.0.so.*
%{_libdir}/libgdk-x11-2.0.so.*
%{_libdir}/libgtk-x11-2.0.so.*
%{_libdir}/libgdk_pixbuf_xlib-2.0.so.*
# for last-exit
%{_libdir}/libgdk-x11-2.0.so

%dir %{_libdir}/gtk-2.0
%dir %{_libdir}/gtk-2.0/immodules
%dir %{_libdir}/gtk-2.0/modules
%dir %{_libdir}/gtk-2.0/2.10.0

%dir %{_libdir}/gtk-2.0/2.10.0/immodules
%{_libdir}/gtk-2.0/2.10.0/immodules/im-am-et.so
%{_libdir}/gtk-2.0/2.10.0/immodules/im-cedilla.so
%{_libdir}/gtk-2.0/2.10.0/immodules/im-cyrillic-translit.so
%{_libdir}/gtk-2.0/2.10.0/immodules/im-inuktitut.so
%{_libdir}/gtk-2.0/2.10.0/immodules/im-ipa.so
%{_libdir}/gtk-2.0/2.10.0/immodules/im-multipress.so
%{_libdir}/gtk-2.0/2.10.0/immodules/im-thai.so
%{_libdir}/gtk-2.0/2.10.0/immodules/im-ti-er.so
%{_libdir}/gtk-2.0/2.10.0/immodules/im-ti-et.so
%{_libdir}/gtk-2.0/2.10.0/immodules/im-viqr.so
%{_libdir}/gtk-2.0/2.10.0/immodules/im-xim.so

%dir %{_libdir}/gtk-2.0/2.10.0/loaders
%{_libdir}/gtk-2.0/2.10.0/loaders/libpixbufloader-ani.so
%{_libdir}/gtk-2.0/2.10.0/loaders/libpixbufloader-bmp.so
%{_libdir}/gtk-2.0/2.10.0/loaders/libpixbufloader-gif.so
%{_libdir}/gtk-2.0/2.10.0/loaders/libpixbufloader-ico.so
%{_libdir}/gtk-2.0/2.10.0/loaders/libpixbufloader-jpeg.so
%{_libdir}/gtk-2.0/2.10.0/loaders/libpixbufloader-pcx.so
%{_libdir}/gtk-2.0/2.10.0/loaders/libpixbufloader-png.so
%{_libdir}/gtk-2.0/2.10.0/loaders/libpixbufloader-pnm.so
%{_libdir}/gtk-2.0/2.10.0/loaders/libpixbufloader-ras.so
%{_libdir}/gtk-2.0/2.10.0/loaders/libpixbufloader-tga.so
%{_libdir}/gtk-2.0/2.10.0/loaders/libpixbufloader-tiff.so
%{_libdir}/gtk-2.0/2.10.0/loaders/libpixbufloader-wbmp.so
%{_libdir}/gtk-2.0/2.10.0/loaders/libpixbufloader-xbm.so
%{_libdir}/gtk-2.0/2.10.0/loaders/libpixbufloader-xpm.so

%dir %{_libdir}/gtk-2.0/2.10.0/engines
%{_libdir}/gtk-2.0/2.10.0/engines/libpixmap.so

%dir %{_libdir}/gtk-2.0/2.10.0/printbackends
%{_libdir}/gtk-2.0/2.10.0/printbackends/libprintbackend-cups.so
%{_libdir}/gtk-2.0/2.10.0/printbackends/libprintbackend-file.so
%{_libdir}/gtk-2.0/2.10.0/printbackends/libprintbackend-lpr.so

%{_datadir}/locale/*/*/*
%{_datadir}/themes/*

%files devel
%defattr(-, root, root)
%{_bindir}/gdk-pixbuf-csource
%{_bindir}/gtk-demo

%{_libdir}/libgdk_pixbuf-2.0.so
%{_libdir}/libgdk_pixbuf_xlib-2.0.so
%{_libdir}/libgtk-x11-2.0.so
#%{_libdir}/libgdk-x11-2.0.so
%{_libdir}/*.a

%{_libdir}/pkgconfig/gdk-2.0.pc
%{_libdir}/pkgconfig/gdk-pixbuf-2.0.pc
%{_libdir}/pkgconfig/gdk-pixbuf-xlib-2.0.pc
%{_libdir}/pkgconfig/gdk-x11-2.0.pc
%{_libdir}/pkgconfig/gtk+-2.0.pc
%{_libdir}/pkgconfig/gtk+-unix-print-2.0.pc
%{_libdir}/pkgconfig/gtk+-x11-2.0.pc

%{_libdir}/gtk-2.0/2.10.0/immodules/*a
%{_libdir}/gtk-2.0/2.10.0/loaders/*a
%{_libdir}/gtk-2.0/2.10.0/engines/*a
%{_libdir}/gtk-2.0/2.10.0/printbackends/*a

%{_datadir}/man/man1/*
%{_datadir}/aclocal/*
%doc %{_datadir}/gtk-2.0
%doc %{_datadir}/gtk-doc/html/*

%{_includedir}/gtk-2.0
%{_includedir}/gtk-unix-print-2.0
%{_libdir}/gtk-2.0/include

%changelog
* Mon Sep 15 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.12.12-1m)
- update to 2.12.12

* Mon Sep 15 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.12.11-6m)
- rollback to 2.12.11

* Sun Sep  7 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (2.14.1-1m)
- update 2.14.1
- Obso & Provide gail, gail-devel

* Thu Sep  4 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.12.11-5m)
- mv libgdk-x11-2.0.so from devel to main (for last-exit)

* Wed Aug 20  2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.12.11-4m)
- good-bye gtk2-common

* Wed Aug 20 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (2.12.11-3m)
- revise %%files to avoid conflicting
- gtk2-common should be merged into gtk2 to resolve dependencies of many packages

* Tue Aug 19 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.12.11-2m)
- mv libgdk-x11-2.0.so.* and libgtk-x11-2.0.so.* from gtk2 to gtk2-common

* Wed Jul  2 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.12.11-1m)
- update to 2.12.11

* Wed Jun  4 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.12.10-1m)
- update to 2.12.10

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.12.9-3m)
- rebuild against gcc43

* Mon Mar 31 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (2.12.9-2m)
- gtk2-devel need glib2-devel

* Sat Mar 15 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.12.9-1m)
- update to 2.12.9

* Fri Feb 15 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.12.8-1m)
- update to 2.12.8

* Wed Jan 30 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.12.7-1m)
- update to 2.12.7

* Tue Jan 29 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.12.6-1m)
- update to 2.12.6

* Wed Jan  9 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.12.5-1m)
- update to 2.12.5

* Wed Dec  5 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.12.3-1m)
- update to 2.12.3

* Thu Nov  8 2007 Ryu SASAOKA <ryu@momonga-linux.org>
- (2.12.1-2m)
- remove gtk+2.12.0-autotest.patch (avoid autoreconf)
- add Patch3: system-log-crash.patch
-     Patch4: firefox-print-preview.patch

* Wed Oct 17 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.12.1-1m)
- update to 2.12.1

* Fri Sep 14 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.12.0-1m)
- update to 2.12.0
- add patch40 (do not build tests dir), i want to remove this patch.

* Tue Sep 11 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (2.10.14-5m)
- fix konqueror lockup issue (with flash)
- http://bugzilla.gnome.org/show_bug.cgi?id=463773

* Mon Sep 10 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (2.10.14-4m)
- Fix BuildRequires

* Sun Sep  9 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (2.10.14-3m)
- add any Requires

* Mon Aug 13 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.10.14-2m)
- import patch13 from Fedora (cups)

* Sun Jul 22 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.10.14-1m)
- version 2.10.14 (bug-fix release)

* Mon Jun 18 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (2.10.13-2m)
- unhold directory /usr/share/theme

* Thu Jun 14 2007 Ryu SASAOKA <ryu@momonga-linux.org>
- (2.10.13-1m)
- version 2.10.13 (bug-fix release)

* Tue Jun 12 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.10.12-2m)
- add patch11 (icon-theme.cache)
-- from http://svn.gnome.org/viewcvs/gtk%2B/trunk/gtk/gtkiconcachevalidator.c?r1=17767&r2=17982&view=patch

* Thu May  3 2007 Ryu SASAOKA <ryu@momonga-linux.org>
- (2.10.12-1m)
- version 2.10.12 (bug-fix release)

* Sun Apr  8 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (2.10.11-3m)
- set --enable-gtk-doc again

* Fri Apr  6 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (2.10.11-2m)
- fix Provides and Obsoletes for upgrading from STABLE_3
- --disable-gtk-doc for the moment

* Thu Mar 15 2007 Ryu SASAOKA <ryu@momonga-linux.org>
- (2.10.11-1m)
- version 2.10.11 (bug-fix release)

* Tue Feb  6 2007 zunda  <zunda at freeshell.org>
- (kossori)
- added BUildPrereq: gamin-devel for fam.h

* Sat Feb  3 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.10.9-2m)
- rename gtk+ -> gtk2

* Tue Jan 23 2007 Ryu SASAOKA <ryu@momonga-linux.org>
- (2.10.9-1m)
- version 2.10.9 (bug-fix release)

* Sat Jan 20 2007 Ryu SASAOKA <ryu@momonga-linux.org>
- (2.10.8-2m)
- add patches from FC

* Fri Jan 19 2007 Ryu SASAOKA <ryu@momonga-linux.org>
- (2.10.8-1m)
- version 2.10.8 (bug-fix release)

* Mon Jan  1 2007 Dai OKUYAMA <dai@ouchi.nahi.to>
- (2.10.6-2m)
- enable ppc64.

* Thu Oct  5 2006 Ryu SASAOKA <ryu@momonga-linux.org>
- (2.10.6-1m)
- version 2.10.6 (bug-fix release)

* Sun Sep 24 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.10.4-1m)
- update to 2.10.4
-- add patch2 from FC

* Thu Sep 14 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.10.3-2m)
- add patch 9,10 from FC

* Thu Sep  7 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.10.3-1m)
- update to 2.10.3
- delete libtool library

* Sat Aug 26 2006 NARITA Koichi <pulsar@sea.plala.or.jp>
- (2.8.20-3m)
- rebuild against expat-2.0.0-1m

* Wed Jul 19 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.8.20-2m)
- /usr/lib/libgdk-x11-2.0.so to gtk+
-- youtranslate requires this file.

* Mon Jul  3 2006 Ryu SASAOKA <ryu@momonga-linux.org>
- (2.8.20-1m)
- version 2.8.20 (bug-fix release)

* Thu Jun 22 2006 Ryu SASAOKA <ryu@momonga-linux.org>
- (2.8.19-1m)
- version 2.8.19 (bug-fix release)

* Sat Jun 10 2006 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.8.18-2m)
- add %%exclude %%dir %%{_libdir}/gtk-2.0/include at %%files comon

* Sat May 27 2006 Ryu SASAOKA <ryu@momonga-linux.org>
- (2.8.18-1m)
- version 2.8.18 (bug-fix release)

* Sun Apr  9 2006 Ryu SASAOKA <ryu@momonga-linux.org>
- (2.8.17-1m)
- version 2.8.17 (bug-fix release)

* Thu Mar 16 2006 Ryu SASAOKA <ryu@momonga-linux.org>
- (2.8.16-1m)
- version 2.8.16 (bug-fix release)

* Wed Mar 15 2006 Ryu SASAOKA <ryu@momonga-linux.org>
- (2.8.15-1m)
- version 2.8.15 (bug-fix release)

* Sun Feb 26 2006 Ryu SASAOKA <ryu@momonga-linux.org>
- (2.8.13-1m)
- version 2.8.13 (bug-fix release)

* Sun Jan 29 2006 Ryu SASAOKA <ryu@momonga-linux.org>
- (2.8.11-1m)
- version 2.8.11 (bug-fix release)

* Sat Dec 10 2005 Ryu SASAOKA <ryu@momonga-linux.org>
- (2.8.9-1m)
- version 2.8.9 (bug-fix release)

* Mon Dec 5 2005 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.8.8-2m)
- required Patch0: gtk+-2.8.3-gdk-2.0_pc-pango.patch by firefox-1.5

* Sat Dec 3 2005 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.8.8-1m)
- version up 2.8.8
- GNOME 2.12.2 Platform

* Wed Nov 23 2005 Ryu SASAOKA <ryu@momonga-linux.org>
- (2.8.7-1m)
- version 2.8.7 (bug-fix release)

* Sun Nov 20 2005 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.8.6-5m)
- comment out unnessesaly autoreconf and make check

* Fri Nov 18 2005 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.8.6-4m)
- enable fbmanager gtk-doc man

* Tue Nov 15 2005 Masaru SANUKI <sanuki@momonga-linux.org>
- (2.8.6-3m)
- rebuild against cairo-1.0.2

* Mon Nov 14 2005 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.8.6-2m)
- add autoreconf
- GNOME 2.12.1 Desktop

* Thu Oct  6 2005 Ryu SASAOKA <ryu@momonga-linux.org>
- (2.8.6-1m)
- version 2.8.6 (bug-fix release)
- revised spec file

* Wed Oct  5 2005 Ryu SASAOKA <ryu@momonga-linux.org>
- (2.8.4-1m)
- version 2.8.4 (bug-fix release)

* Thu Sep 22 2005 Ryu SASAOKA <ryu@momonga-linux.org>
- (2.8.3-2m)
- add Patch0 gtk+-2.8.3-gdk-2.0_pc-pango.patch

* Sat Sep 17 2005 Ryu SASAOKA <ryu@momonga-linux.org>
- (2.8.3-1m)
- update 2.8.3

* Tue Aug 23 2005 Ryu SASAOKA <ryu@momonga-linux.org>
- (2.6.10-1m)
- version 2.6.10 (bug-fix release)

* Thu Aug  4 2005 Ryu SASAOKA <ryu@momonga-linux.org>
- (2.6.9-1m)
- version 2.6.9 (bug-fix release)

* Fri Jul  1 2005 Ryu SASAOKA <ryu@momonga-linux.org>
- (2.6.8-1m)
- version 2.6.8 (bug-fix release)

* Wed May  4 2005 Ryu SASAOKA <ryu@momonga-linux.org>
- (2.6.7-2m)
- Cancel deletion of the conflict file(gtk-engines)
- reported by jkuchi [Momonga-devel.ja:03095]

* Thu Apr 14 2005 Ryu SASAOKA <ryu@momonga-linux.org>
- (2.6.7-1m)
- reverts two problematic changes which were made in GTK+ 2.6.5.

* Mon Apr 11 2005 Ryu SASAOKA <ryu@momonga-linux.org>
- (2.6.6-1m)
- bugfix release to fix problems with stock images in GTK+ 2.6.5.

* Sun Apr 10 2005 Ryu SASAOKA <ryu@momonga-linux.org>
- (2.6.5-1m)
- version 2.6.5 (bugfix release)

* Sat Mar 12 2005 Ryu SASAOKA <ryu@momonga-linux.org>
- (2.6.4-1m)
- version 2.6.4 (bugfix release)

* Sat Feb 12 2005 Kazuhiko <kazuhiko@fdiary.net>
- (2.6.1-3m)
- remove 'Requires: DirectFB-devel' in gtk+-devel sub package

* Sun Jan 16 2005 Toru Hoshina <t@momonga-linux.org>
- (2.6.1-2m)
- enable x86_64.

* Mon Jan 10 2005 Ryu SASAOKA <ryu@momonga-linux.org>
- (2.6.1-1m)
- version 2.6.1

* Mon Oct 18 2004 Ryu SASAOKA <ryu@momonga-linux.org>
- (2.4.13-1m)
- version 2.4.13

* Sun Aug 22 2004 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.4.7-2m)
- add noreplace at %%{_sysconfdir}/gtk-2.0/gtk.immodules

* Sun Aug 15 2004 Motonobu Ichimura <famao@momonga-linux.org>
- (2.4.7-1m)
- version 2.4.7

* Sun Aug 15 2004 Motonobu Ichimura <famao@momonga-linux.org>
- (2.4.6-1m)
- version 2.4.6

* Thu Jun 17 2004 Ryu SASAOKA <ryu@momonga-linux.org>
- (2.4.3-1m)
- version 2.4.3

* Sun Apr 18 2004 Masaru SANUKI <sanuki@momonga-linux.org>
- (2.4.0-3m)
- adjustment BuildPreReq

* Tue Apr 13 2004 YAMAZAKI Makoto <zaki@zakky.org>
- (2.4.0-2m)
- corrected BuildPreReq

* Sun Apr 11 2004 Masaru SANUKI <sanuki@momonga-linux.org>
- (2.4.0-1m)
- version 2.4.0
- GNOME 2.6 Desktop
- remove patch0
- use aclocal-1.7, automake-1.7

* Mon Oct 27 2003 Kenta MURATA <muraken2@nifty.com>
- (2.2.4-1m)
- pretty spec file.

* Tue Sep 16 2003 Motonobu Ichimura <famao@momonga-linux.org>
- (2.2.4-1m)
- version 2.2.4
- obsolete patch1

* Wed Jun 11 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (2.2.2-2m)
- apply imcontextxim patch for Infinite loop (baatari-).

* Wed Jun 11 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (2.2.2-1m)
- version 2.2.2

* Wed Apr  9 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (2.2.1-5m)
- change handle key_press order.

* Sun Apr 06 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.2.1-4m)
- rebuild against zlib 1.1.4-5m

* Fri Mar  7 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (2.2.1-3m)
- rebuild against for XFree86-4.3.0

* Wed Mar 05 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.2.1-2m)
- fix URL
- delete doc TODO

* Tue Feb 04 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (2.2.1-1m)
- version 2.2.1

* Fri Dec 27 2002 Shingo Akagaki <dora@kitty.dnsalias.org>
- (2.2.0-1m)
- version 2.2.0

* Wed Dec  4 2002 Shingo Akagaki <dora@kitty.dnsalias.org>
- (2.1.3-1m)
- version 2.1.3

* Mon Nov 11 2002 Shingo Akagaki <dora@kitty.dnsalias.org>
- (2.1.2-1m)
- version 2.1.2

* Sat Oct 19 2002 Shingo Akagaki <dora@kitty.dnsalias.org>
- (2.1.1-4m)
- fix filelist

* Wed Oct 16 2002 Shingo Akagaki <dora@kitty.dnsalias.org>
- (2.1.1-3m)
- add gtkimcontextxim.patch (see bugzilla.gnome.org#87482)

* Wed Oct 16 2002 Shingo Akagaki <dora@kitty.dnsalias.org>
- (2.1.1-2m)
- fixup file list

* Tue Oct 15 2002 Shingo Akagaki <dora@kitty.dnsalias.org>
- (2.1.1-1m)
- version 2.1.1

* Fri Oct  4 2002 Shingo Akagaki <dora@kitty.dnsalias.org>
- (2.1.0-2m)
- use old gtkimcontextxim

* Fri Oct  4 2002 Shingo Akagaki <dora@kitty.dnsalias.org>
- (2.1.0-1m)
- version 2.1.0
- wait wait for DirectFB..

* Tue Aug 27 2002 Shingo Akagaki <dora@kitty.dnsalias.org>
- (2.0.6-3m)
- update gdk-directfb to 2002-08-26

* Mon Aug 12 2002 Shingo Akagaki <dora@kitty.dnsalias.org>
- (2.0.6-2m)
- support DirectFB

* Mon Aug 05 2002 Shingo Akagaki <dora@kitty.dnsalias.org>
- (2.0.6-1m)
- version 2.0.6

* Tue Jul 30 2002 Shingo Akagaki <dora@kitty.dnsalias.org>
- (2.0.5-4m)
- uuppddaattee xxiimm mmoodduullee ppaattcchh

* Mon Jul 29 2002 Shingo Akagaki <dora@kitty.dnsalias.org>
- (2.0.5-3m)
- add gtk+-2.0.5-xim_keycode.patch ("<")

* Mon Jun 17 2002 Shingo Akagaki <dora@kondara.org>
- (2.0.5-2k)
- version 2.0.5

* Sun Jun 16 2002 Shingo Akagaki <dora@kondara.org>
- (2.0.4-2k)
- version 2.0.4

* Wed May 29 2002 Shingo Akagaki <dora@kondara.org>
- (2.0.3-2k)
- version 2.0.3

* Sat Apr 20 2002 YAMAZAKI Makoto <zaki@kondara.org>
- (2.0.2-4k)
- rebuild against libpng-1.2.2.

* Tue Apr 09 2002 Shingo Akagaki <dora@kondara.org>
- (2.0.2-2k)
- version 2.0.2

* Mon Apr 01 2002 Shingo Akagaki <dora@kondara.org>
- (2.0.1-2k)
- version 2.0.1

* Sat Mar 09 2002 Shingo Akagaki <dora@kondara.org>
- (2.0.0-2k)
- version 2.0.0

* Fri Mar 08 2002 Shingo Akagaki <dora@kondara.org>
- (2.0.0.rc1-4k)
- rebuild against for pango-1.0.0.rc2

* Wed Mar 06 2002 Shingo Akagaki <dora@kondara.org>
- (2.0.0.rc1-2k)
- version 2.0.0.rc1
- change name to gtk+

* Tue Mar  5 2002 Shingo Akagaki <dora@kondara.org>
- (1.3.15-4k)
- modify dependency list

* Mon Feb 25 2002 Shingo Akagaki <dora@kondara.org>
- (1.3.15-2k)
- version 1.3.15

* Mon Feb 18 2002 Shingo Akagaki <dora@kondara.org>
- (1.3.14-2k)
- version 1.3.14

* Wed Feb 13 2002 Shingo Akagaki <dora@kondara.org>
- (1.3.13-10k)
- rebuild against for at-spi-0.0.8
- rebuild against for atk-0.12
- rebuild against for gail-0.8
- rebuild against for libgnomeui-1.111.1

* Thu Feb 07 2002 Shingo Akagaki <dora@kondara.org>
- (1.3.13-8k)
- rebuild against for at-spi-0.0.7
- rebuild against for atk-0.11
- rebuild against for gail-0.7
- rebuild against for gedit2-1.110.1
- rebuild against for libglade-1.99.7
- rebuild against for libgnomeui-1.110.1

* Wed Feb 06 2002 Shingo Akagaki <dora@kondara.org>
- (1.3.13-6k)
- rebuild against for glib-1.3.13

* Wed Jan 30 2002 Shingo Akagaki <dora@kondara.org>
- (1.3.13-2k)
- version 1.3.13
- rebuild against for pango-0.24
- rebuild against for glib-1.3.13
- rebuild against for atk-0.10

* Tue Dec 25 2001 Shingo Akagaki <dora@kondara.org>
- (1.3.12-2k)
- version 1.3.12

* Mon Jul 16 2001 Shingo Akagaki <dora@digitalfactory.co.jp>
- version 1.3.6

* Thu Apr 26 2001 Shingo Akagaki <dora@kondara.org>
- fork from gtk+ spec
